﻿namespace TestProject
{
    /// <summary>
    /// 장소
    /// </summary>
    public class Place
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 도시명 - CityName

        /// <summary>
        /// 도시명
        /// </summary>
        public string CityName { get; set; }

        #endregion
        #region 주 - State

        /// <summary>
        /// 주
        /// </summary>
        public string State { get; set; }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - Place()

        /// <summary>
        /// 생성자
        /// </summary>
        public Place()
        {
            CityName = string.Empty;
            State    = string.Empty;
        }

        #endregion
        #region 생성자 - Place(cityName, state)

        /// <summary>
        /// 생성자
        /// </summary>
        /// <param name="cityName">도시명</param>
        /// <param name="state">주</param>
        public Place(string cityName, string state)
        {
            CityName = cityName;
            State    = state;
        }

        #endregion
    }
}