﻿using System.Collections.ObjectModel;

namespace TestProject
{
    /// <summary>
    /// 장소 컬렉션
    /// </summary>
    public class PlaceCollection : ObservableCollection<Place>
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - PlaceCollection()

        /// <summary>
        /// 생성자
        /// </summary>
        public PlaceCollection()
        {
            Add(new Place("Seattle"      , "WA"));
            Add(new Place("Redmond"      , "WA"));
            Add(new Place("Bellevue"     , "WA"));
            Add(new Place("Kirkland"     , "WA"));
            Add(new Place("Portland"     , "OR"));
            Add(new Place("San Francisco", "CA"));
            Add(new Place("Los Angeles"  , "CA"));
            Add(new Place("San Diego"    , "CA"));
            Add(new Place("San Jose"     , "CA"));
            Add(new Place("Santa Ana"    , "CA"));
            Add(new Place("Bellingham"   , "WA"));
        }

        #endregion
    }
}